using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate40 : MulticastDelegate
{
	public extern AsyncVoidMethodBuilder Invoke();

	public static AsyncVoidMethodBuilder smethod_0(Delegate40 delegate40_1)
	{
		return delegate40_1();
	}

	public extern Delegate40(object object_0, IntPtr intptr_0);

	static Delegate40()
	{
		Class10.smethod_13(typeof(Delegate40).TypeHandle);
	}

	internal static Delegate40 delegate40_0;
}
